Login

Invalid E-mail or password

Forgot password?
Download Tekla BIMsight and register to the service
Invite a friend to the service

Tekla BIMsight support

You will find an answer to many of your questions in the Q&A section of the Support Forum.

Visit the Tekla BIMsight Help Center or use the Search function to find what you are looking for.

If you have problems accessing the site content, send us feedback by filling in this form

To run Tekla BIMsight, you need to install all the required prerequisite software components. The prerequisites are independent of each other and you can install them in any order.

You need to install the following five prerequisite software components to run Tekla BIMsight 1.9:

FolderInstaller

{896DBF12-2FC2-44D1-A957-B61E9D079991}

dgnplugin-1.10.msi

{1248D1B3-3766-4AF1-8506-5EDFAD9C22D3}

dwgplugin-1.14.msi

{7199ADA1-F89F-408C-82F0-C4DA51EFFF38}

IfcPlugin-2.06.msi

{A56D9E3A-B77A-424B-878F-9AEF2CBCBE4B}

clashcheck-2.7.msi

{51DE7778-71A1-4449-AA8C-10DDFD54235F}

webviewerplugin-1.9.msi

{014B90A7-18DD-46CB-948C-AA5625DB782D}

SketchUpPlugin-1.3.msi

{6C29B9FF-A634-4A9E-9DC1-444C5123F80D}

stepigesplugin-1.9.msi

In addition, Tekla BIMsight requires .NET Framework 4.0 to run. The Tekla BIMsight installer contains .NET Framework but we recommend not using it. Consult Microsoft .NET documentation for recommended practices on how to use administrative installations of .NET Framework 4.0.

Related tags

prerequisites